Esta página ainda não foi traduzida para o português, por isso é exibida em inglês.
Get a list of all Bot Runners
This returns the list of all Bot Runners that are connected to Orchestrator. You can filter the result by status, logged-in user, Bot Runner version, ID, or name.
gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runners
{region} pode ser: na, cis, apac, latam, emea
Experimente
Parâmetros de consulta
cURL
curl --request GET \ --url 'https://api.na.electroneek.com/v1/orchestrator/bot-runners'
Autenticação
Use um token API da página Orquestrador → Integrações. Envie-o como token bearer: Authorization: Bearer <token>.
Parâmetros de consulta
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
status | string (ready, in_progress, offline) | não | It filters Bot Runners by status |
login_as | string | não | It filters logged users by email, e.g., robot@electroneek.com |
version | string | não | It filters Bot Runners by version, e.g., 8.0.0 |
ids | array of string | não | It filters by Bot Runner IDs. |
name | string | não | It filters Bot Runners by the name, .e.g, MY-BOT-RUNNER-1 |
Resposta
200API returns the list of Bot Runners matching the filter criteria.
Corpo da resposta
object
listarray of objectsobject
iduuidobrigatórioID of the Bot Runner
namestringobrigatórioName of the Bot Runner
statusstring (ready, in_progress, offline)obrigatórioStatus of the Bot Runner
versionstringobrigatórioVersion of the Bot Runner
login_asobjectobrigatórioOrganization's data to which the API key belongs. Starting from the version 7.0, we replaced the login-password connection of Orchestrator to Bot Runner with tokens
object
typestringvaluestringhost_namestringobrigatórioName of the computer where Bot Runner is installed.
Atualizado